import { useEffect, useState } from 'react';
import { Dimensions } from 'react-native';
const getOrientation = (window) => {
    return window.width > window.height ? 'landscape' : 'portrait';
};
const useOrientation = () => {
    const [orientation, setOrientation] = useState(getOrientation(Dimensions.get('window')));
    useEffect(() => {
        const handleOrientationChange = ({ window, screen }) => {
            setOrientation(getOrientation(window));
        };
        const subscription = Dimensions.addEventListener('change', handleOrientationChange);
        return () => {
            subscription.remove();
        };
    }, []);
    return orientation;
};
export default useOrientation;
